LogEntryLevel (Task Execution Logger 1.0.0-SNAPSHOT API)
Date: 2014-05-13

gr.uoa.di.madgik.taskexecutionlogger.model

## Enum LogEntryLevel

- java.lang.Object
- - java.lang.Enum<LogEntryLevel>
  - - gr.uoa.di.madgik.taskexecutionlogger.model.LogEntryLevel

- All Implemented Interfaces:
    Serializable, Comparable<LogEntryLevel>

      public enum LogEntryLevel
      extends Enum<LogEntryLevel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `INFORMATION`
    `WARNING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LogEntryLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LogEntryLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFORMATION

          public static final LogEntryLevel INFORMATION

    - #### WARNING

          public static final LogEntryLevel WARNING

    - #### ERROR

          public static final LogEntryLevel ERROR

  - ### Method Detail

    - #### values

          public static LogEntryLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogEntryLevel c : LogEntryLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogEntryLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.